# RestoreLoadBalancer

## 1. API Description

This API (RestoreLoadBalancer) is used to restore the load balancer in the recycle bin.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Operations are only supported if the load balancer state is</mark> <mark style="color:blue;">`RECYCLED`</mark><mark style="color:blue;">.</mark>
* <mark style="color:blue;">Please make sure you have enough balance in your account when you restore it, otherwise you will not be able to restore it.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description               |
| -------------- | -------- | ------ | ------------------------- |
| loadBalancerId | Yes      | String | Load balance instance ID. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Restore a load balancer.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RestoreLoadBalancer
<Common Request Params>

Request：
{
    "loadBalancerId":  "<loadBalancerId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                                        | Description                                            |
| ---------------- | ------------------------------------------------- | ------------------------------------------------------ |
| 400              | OPERATION\_DENIED\_INSTANCE\_STATUS\_NOT\_SUPPORT | Operation is not supported for current instance state. |
